> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modo.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get validator details

> Retrieve detailed information about a specific validator



## OpenAPI

````yaml /api/modo-canton.json get /v1/validators/{validatorId}
openapi: 3.0.1
info:
  title: Canton mainnet API
  description: >-
    This is the new API Module implementation. The Canton Blockchain API is used
    to retrieve Canton Blockchain data. In order to execute queries you need to
    get API Key and use it in header 'x-api-key'. However, before that you need
    to sign up on the explorer or company website. If an account is created on
    the website <strong>https://staketab.com/</strong> or
    <strong>https://cc.modo.link/</strong>, the user will be granted the
    <strong>ROLE_USER</strong> role. After that you may fetch API KEY.
  termsOfService: terms-of-service
  contact:
    name: Staketab tech support
    url: https://staketab.com/
    email: support@staketab.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.0.0
servers:
  - url: https://api.modo.link/canton-mainnet
    description: Production
security:
  - x-api-key: []
tags:
  - name: Contracts
    description: Contract endpoints
  - name: Tokens
    description: Token endpoints
  - name: Market Info
    description: Market info endpoints
  - name: Updates
    description: Update endpoints
  - name: Validators
    description: Validator management endpoints
  - name: Transfers
    description: Transfer endpoints
  - name: Dashboard
    description: Dashboard endpoints
  - name: Events
    description: Event endpoints
  - name: Governance
    description: Governance endpoints
  - name: Super Validators
    description: Super Validator management endpoints
  - name: Featured Apps
    description: Featured Apps endpoints
  - name: Parties
    description: Party management endpoints
  - name: Rewards
    description: Rewards endpoints
paths:
  /v1/validators/{validatorId}:
    get:
      tags:
        - Validators
      summary: Get validator details
      description: Retrieve detailed information about a specific validator
      operationId: getValidatorDetails
      parameters:
        - name: validatorId
          in: path
          description: Validator ID
          required: true
          schema:
            type: string
          example: >-
            Staketab-mainnet-1::122014f09cb05cffc2f1c524601c4aa91d35908dc55cfe9e92849390137ccc7c0d41
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ValidatorDetailsDtoAPI'
components:
  schemas:
    ValidatorDetailsDtoAPI:
      type: object
      properties:
        validator:
          type: string
        templateId:
          type: string
        contractId:
          type: string
        sponsor:
          type: string
        sponsorName:
          type: string
        sponsorImg:
          type: string
        dso:
          type: string
        createdAt:
          type: integer
          format: int64
        lastActiveAt:
          type: integer
          format: int64
        lastUpdatedAt:
          type: integer
          format: int64
        version:
          type: string
        contactPoint:
          type: string
        active:
          type: boolean
        validatorName:
          type: string
        validatorImg:
          type: string
        isVerified:
          type: boolean
        validatorFee:
          type: number
          format: double
        terms:
          type: string
        additionalTerms:
          type: string
        website:
          type: string
        discordContact:
          type: string
        discord:
          type: string
        twitter:
          type: string
        email:
          type: string
        github:
          type: string
        telegram:
          type: string
        description:
          type: string
        isSv:
          type: boolean
        trafficStatus:
          $ref: '#/components/schemas/TrafficStatus'
    TrafficStatus:
      type: object
      properties:
        actual:
          $ref: '#/components/schemas/Actual'
        target:
          $ref: '#/components/schemas/Target'
        availableTraffic:
          type: integer
          format: int64
    Actual:
      type: object
      properties:
        total_consumed:
          type: integer
          format: int64
        total_limit:
          type: integer
          format: int64
    Target:
      type: object
      properties:
        total_purchased:
          type: integer
          format: int64
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header

````